- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDXRelationships Class Reference

`#include <VSDXMLHelper.h>`

## Public Member Functions
| VSDXRelationships (WPXInputStream *input)
| ~VSDXRelationships ()
void | rebaseTargets (const char *baseDir)
const VSDXRelationship * | getRelationshipByType (const char *type) const
const VSDXRelationship * | getRelationshipById (const char *id) const
bool | empty () const

## Private Attributes
std::map< std::string, VSDXRelationship > | m_relsByType
std::map< std::string, VSDXRelationship > | m_relsById

## Constructor & Destructor Documentation

libvisio::VSDXRelationships::VSDXRelationships | ( | WPXInputStream * | input | ) |

libvisio::VSDXRelationships::~VSDXRelationships | ( |  | ) |

## Member Function Documentation

bool libvisio::VSDXRelationships::empty | ( |  | ) | const
| inline

const libvisio::VSDXRelationship * libvisio::VSDXRelationships::getRelationshipById | ( | const char * | id | ) | const

Referenced by libvisio::VSDXParser::processXmlDocument().

const libvisio::VSDXRelationship * libvisio::VSDXRelationships::getRelationshipByType | ( | const char * | type | ) | const

Referenced by libvisio::VSDXParser::parseDocument(), and libvisio::VSDXParser::parseMain().

void libvisio::VSDXRelationships::rebaseTargets | ( | const char * | baseDir | ) |

Referenced by libvisio::VSDXParser::parseDocument(), libvisio::VSDXParser::parseMaster(), libvisio::VSDXParser::parseMasters(), libvisio::VSDXParser::parsePage(), and libvisio::VSDXParser::parsePages().

## Member Data Documentation

std::map<std::string, VSDXRelationship> libvisio::VSDXRelationships::m_relsById
| private

Referenced by empty(), and VSDXRelationships().

std::map<std::string, VSDXRelationship> libvisio::VSDXRelationships::m_relsByType
| private

Referenced by empty(), and VSDXRelationships().

The documentation for this class was generated from the following files:

- VSDXMLHelper.h
- VSDXMLHelper.cpp